<?php

namespace App\Modules\CashMovement\Domain;


interface CashMovementRepository
{
    // public function save(CashMovement $cashMovement);
    public function index(IdCashMovement $idCashMovement);
    public function delete(IdCashMovement $cashMovement);
    public function updateCycleType(IdCashMovement $idCashMovement, CashMovementCycleType $cycleType);
}
